import Graphics.Rendering.Diagrams
import Data.Colour.SRGB


fill1 = fillColor (sRGB24 153 255 0)
fill2 = fillColor (sRGB24 0 0 200)
fillR = fillColor white

al = rect 25 25
be = circle 10

dash = dashing [0.2,0.2] 0

main = do
    renderAs PDF "im-al.pdf"  Auto $ pad 2 2 $ fill1 al
    renderAs PDF "im-be.pdf"  Auto $ pad 2 2 $ fill1 be
    renderAs PDF "im-re.pdf"  Auto $ pad 2 2 $ fill1 al ## fillR be
    renderAs PDF "im-al-cut.pdf"  Auto $ pad 2 2 $ fill1 al ## dash be
    renderAs PDF "im-be2.pdf" Auto $ pad 2 2 $ fill2 be
    renderAs PDF "im-al2.pdf" Auto $ pad 2 2 $ fill1 al ## lw 0 (fill2 be)
    renderAs PDF "im-al-pattern.pdf"  Auto $ pad 2 2 $ al
    renderAs PDF "im-be-pattern.pdf"  Auto $ pad 2 2 $ be
    renderAs PDF "im-lens-pattern.pdf"  Auto $ pad 2 2 $ dash al ## dash be
    renderAs PDF "im-bes.pdf"  Auto $ pad 2 2 $ be